clang 10.0.0git

Public Member Functions | Static Public Member Functions | List of all members
clang::ento::PathDiagnosticPopUpPiece Class Reference

`#include "clang/Analysis/PathDiagnostic.h"`

Inheritance diagram for clang::ento::PathDiagnosticPopUpPiece:
[legend]
Collaboration diagram for clang::ento::PathDiagnosticPopUpPiece:
[legend]

## Public Member Functions
| PathDiagnosticPopUpPiece (const PathDiagnosticLocation &Pos, StringRef S, bool AddPosRange=true)
| ~PathDiagnosticPopUpPiece () override
void | dump () const override
void | Profile (llvm::FoldingSetNodeID &ID) const override
Public Member Functions inherited from clang::ento::PathDiagnosticSpotPiece
| PathDiagnosticSpotPiece (const PathDiagnosticLocation &pos, StringRef s, PathDiagnosticPiece::Kind k, bool addPosRange=true)
PathDiagnosticLocation | getLocation () const override
void | flattenLocations () override
Public Member Functions inherited from clang::ento::PathDiagnosticPiece
| PathDiagnosticPiece ()=delete
| PathDiagnosticPiece (const PathDiagnosticPiece &)=delete
PathDiagnosticPiece & | operator= (const PathDiagnosticPiece &)=delete
virtual | ~PathDiagnosticPiece ()
StringRef | getString () const
void | setTag (const char *tag)
| Tag this PathDiagnosticPiece with the given C-string. More...
const void * | getTag () const
| Return the opaque tag (if any) on the PathDiagnosticPiece. More...
StringRef | getTagStr () const
| Return the string representation of the tag. More...
DisplayHint | getDisplayHint () const
| getDisplayHint - Return a hint indicating where the diagnostic should be displayed by the PathDiagnosticConsumer. More...
Kind | getKind () const
void | addRange (SourceRange R)
void | addRange (SourceLocation B, SourceLocation E)
void | addFixit (FixItHint F)
ArrayRef< SourceRange > | getRanges () const
| Return the SourceRanges associated with this PathDiagnosticPiece. More...
ArrayRef< FixItHint > | getFixits () const
| Return the fix-it hints associated with this PathDiagnosticPiece. More...
void | setAsLastInMainSourceFile ()
bool | isLastInMainSourceFile () const

## Static Public Member Functions
static bool | classof (const PathDiagnosticPiece *P)
Static Public Member Functions inherited from clang::ento::PathDiagnosticSpotPiece
static bool | classof (const PathDiagnosticPiece *P)

## Additional Inherited Members
Public Types inherited from clang::ento::PathDiagnosticPiece
enum | Kind { ControlFlow, Event, Macro, Call, Note, PopUp }
enum | DisplayHint { Above, Below }
Protected Member Functions inherited from clang::ento::PathDiagnosticPiece
| PathDiagnosticPiece (StringRef s, Kind k, DisplayHint hint=Below)
| PathDiagnosticPiece (Kind k, DisplayHint hint=Below)

## Detailed Description

Definition at line 705 of file PathDiagnostic.h.

## Constructor & Destructor Documentation

## ◆ PathDiagnosticPopUpPiece()

clang::ento::PathDiagnosticPopUpPiece::PathDiagnosticPopUpPiece | ( | const PathDiagnosticLocation & | Pos,
|  | StringRef | S,
|  | bool | AddPosRange = `true`
| ) |  |
| inline

Definition at line 707 of file PathDiagnostic.h.

## ◆ ~PathDiagnosticPopUpPiece()

PathDiagnosticPopUpPiece::~PathDiagnosticPopUpPiece | ( |  | ) |
| override default

Referenced by clang::ento::PathDiagnosticPiece::PathDiagnosticPiece().

## Member Function Documentation

## ◆ classof()

static bool clang::ento::PathDiagnosticPopUpPiece::classof | ( | const PathDiagnosticPiece * | P | ) |
| inline static

Definition at line 712 of file PathDiagnostic.h.

References dump(), clang::ento::PathDiagnosticPiece::getKind(), and clang::ento::PathDiagnosticConsumer::PDFileEntry::Profile().

## ◆ dump()

LLVM_DUMP_METHOD void PathDiagnosticPopUpPiece::dump | ( |  | ) | const
| override virtual

Implements clang::ento::PathDiagnosticPiece.

Definition at line 1179 of file PathDiagnostic.cpp.

References clang::ento::PathDiagnosticLocation::dump(), and clang::ento::PathDiagnostic::getLocation().

## ◆ Profile()

void PathDiagnosticPopUpPiece::Profile | ( | llvm::FoldingSetNodeID & | ID | ) | const
| override virtual

Reimplemented from clang::ento::PathDiagnosticSpotPiece.

Definition at line 1114 of file PathDiagnostic.cpp.

References clang::ento::PathDiagnosticSpotPiece::Profile().

The documentation for this class was generated from the following files:

- include/clang/Analysis/PathDiagnostic.h
- lib/Analysis/PathDiagnostic.cpp